import javafx.application.Application;
import javafx.stage.Stage;
import javafx.scene.Group;
//import javafx.scene.Cursor;
import javafx.scene.*;
import javafx.event.EventHandler;
import javafx.scene.paint.*;
import javafx.scene.shape.*;
import javafx.collections.*;
import javafx.geometry.Point2D;
import javafx.geometry.Bounds;
import javafx.scene.input.* ;
import javafx.scene.layout.Pane;
import java.lang.Math;

public class MouseTest3 extends Application {
    Group grp = new Group();
    public void start(Stage stage) {
        Scene scene = new Scene(grp, 400, 400);

	grp.setTranslateX(scene.getWidth()/2);
	grp.setTranslateY(scene.getHeight()/2);
	double res = 96;
	grp.setScaleX(res);
	grp.setScaleY(res);

	// shape 1 in Grid
	Rectangle r = new Rectangle(-4.0,-4.0,8.0,8.0);
	r.setFill(Color.TRANSPARENT);
	r.setStroke(Color.BLACK);
	r.setStrokeWidth(1/res);
	grp.getChildren().add(r);

	Grid.draw(grp);

	grp.setOnMousePressed( e ->
	{
	    System.out.println("event type " + e.getEventType());
	    System.out.println("Local " + e.getX() + "  " + e.getY());
	}
	);

	Capacitor3 c1 =	new Capacitor3();
	c1.setPosition(-1.0,0.0);
	c1.draw(grp);

	Capacitor3 c2 = new Capacitor3();
	c2.setPosition(1.0,1.0);
	c2.setAngle(30.0);
	c2.draw(grp);
	

        stage.setTitle("Mouse Test 3");
        stage.setScene(scene);
        stage.show();
    }
}